#include <iostream>

using namespace std;

int main()
{
	int n, k;
	cin>>n>>k;
	int a[n];
	int poz;
	for ( int i = 0; i<n; i++)
	{
		cin>>a[i];
		if (a[i] == k) poz = i;
		
	}
	if (poz == n-1)
	{
		cout<<a[0];
	}
	else cout<<a[poz+1];
	
	return 0;
}